Bug 812860 - missing private headers
missing private headers
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
rawhide
All All
unspecified Severity low
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 08:59 EDT by Guillaume Rousse
Modified: 2013-03-03 20:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 05:17:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Guillaume Rousse 2012-04-16 08:59:27 EDT
The openldap-devel package only ships public openldap headers, and lacks those needed to build openldap-specific extensions, such as openldap-ppolicy-check-password (namely portable.h and slapd.h):
http://ltb-project.org/wiki/documentation/openldap-ppolicy-check-password
Comment 1 Jan Vcelak 2012-05-29 05:17:51 EDT
I discussed this with other maintainer. And we finally decided not to include private headers. We also took a look at other distributions and didn't find any other shipping these headers.

The internal headers are not ment to be public. If some change occurs in OpenLDAP internal structures it will most probably break your extension. In case of OpenLDAP backends, you can crash the server very easily. We do not want to support these configurations.

If you need some module we do not ship, you have to rebuild OpenLDAP by your own and manage it by yourself. Or, you can work with upstream on some better solution for external modules.

Sorry, closing as CANTFIX.
Comment 2 Guillaume Rousse 2012-05-30 04:46:16 EDT
An ITS has been opened upstream:
http://www.openldap.org/its/index.cgi?findid=7283

BTW, mandriva and its mageia fork do ship those headers for ages:
http://svnweb.mageia.org/packages/cauldron/openldap/current/SPECS/
Comment 3 Guillaume Rousse 2012-06-04 05:23:23 EDT
The discussion on openldap-devel mailing list suggested to build the module directly from the tree. Would a patch bringing check-password as an additional source, and building it as an additional extension be accepted ?
Comment 4 Jan Vcelak 2012-06-04 06:00:36 EDT
Guillame, please, file a new bug report for the request. Provide upstream project URL and link to the release tarball. We will take a look at it. If it doesn't violate Fedora packaging guidelines, we can probably include it.

Note You need to log in before you can comment on or make changes to this bug.